Bug 1438838 - Avoid arch-specific path in /etc/krb5.conf.d/ipa-certmap
Summary: Avoid arch-specific path in /etc/krb5.conf.d/ipa-certmap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Pavel Picka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-04 13:59 UTC by Petr Vobornik
Modified: 2017-08-01 09:48 UTC (History)
6 users (show)

Fixed In Version: ipa-4.5.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:48:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
output (231 bytes, text/plain)
2017-06-08 12:03 UTC, Pavel Picka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-04-04 13:59:42 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6833

Since 32bit and 64bit Kerberos libraries can be installed in parallel there should to no architecture specific paths used in the global configuration files.

The arch-specific path 'module = ipakdb:/usr/lib64/krb5/plugins/kdb/ipadb.so' should be repalced by the relative path 'module = ipakdb:kdb/ipadb.so'

Comment 2 Petr Vobornik 2017-04-04 13:59:59 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6833

Comment 5 Pavel Picka 2017-06-08 12:03:20 UTC
Created attachment 1286129 [details]
output

Verifed on ipa-server-4.5.0-14.el7.x86_64

Comment 6 errata-xmlrpc 2017-08-01 09:48:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.